CGAL 6.2 - CGAL and Boost Property Maps

Loading...
Searching...
No Matches
Classes | Functions
Reference Manual

##

Andreas Fabri and Laurent Saboret
This package provides a framework for interfacing CGAL data structures with algorithms expecting Boost Property Maps.
Introduced in: CGAL 3.5
BibTeX: cgal:fs-cbpm-26a
License: LGPL

## Classes
struct | CGAL::Compose_property_map< KeyMap, ValueMap >
| Property map that composes two property maps, that is a call on an instance `Compose_property_map compose_property_map(key_map, value_map)` of `get(compose_property_map, k)` returns `get(value_map, get(key_map, k))`. More...
struct | CGAL::Dereference_property_map< T, Iter >
| Property map that converts a `T*` pointer (or in general an iterator over `T` elements) to the `T` object. More...
struct | CGAL::Identity_property_map< T >
| A `LvaluePropertyMap` property map mapping a key to itself (by reference). More...
struct | CGAL::First_of_pair_property_map< Pair >
| Property map that accesses the first item of a `std::pair`. More...
struct | CGAL::Second_of_pair_property_map< Pair >
| Property map that accesses the second item of a `std::pair`. More...
struct | CGAL::Nth_of_tuple_property_map< N, Tuple >
| Property map that accesses the Nth item of a `boost::tuple` or a `std::tuple`. More...
struct | CGAL::Property_map_to_unary_function< PropertyMap >
| Struct that turns a property map into a unary functor with `operator()(key k)` calling the get function with `k` More...
struct | CGAL::Pointer_property_map< T >
| Utility class providing shortcuts to property maps based on raw pointers. More...
struct | CGAL::Constant_property_map< KeyType, ValueType >
| Property map that returns a fixed value. More...
struct | CGAL::Boolean_property_map< Set >
| Read-write property map turning a set (such a `std::set`, `boost::unordered_set`, `std::unordered_set`) into a property map associating a Boolean to the value type of the set. More...
struct | CGAL::Cartesian_converter_property_map< GeomObject, Vpm >
| Read-write property map doing on-the-fly conversions between two default constructible CGAL Cartesian kernels. More...
class | CGAL::Random_access_property_map< Container >
| A property map with `std::size_t` as key-type that can be used to access the i-th element in a container with random access. More...

## Functions
template<class KeyMap , class ValueMap >
Compose_property_map< KeyMap, ValueMap > | make_compose_property_map (const KeyMap &km, const ValueMap &vm)
| returns `Compose_property_maps<KeyMap, ValueMap>(km,vm)`
template<class Iter >
Dereference_property_map< typename CGAL::value_type_traits< Iter >::type > | make_dereference_property_map (Iter)
| Free function to create a `Dereference_property_map` property map.
template<class T >
Identity_property_map< T > | make_identity_property_map (T)
| Free function to create a `Identity_property_map` property map.
template<class Pair >
First_of_pair_property_map< Pair > | make_first_of_pair_property_map (Pair)
| Free function to create a `First_of_pair_property_map` property map.
template<class Pair >
Second_of_pair_property_map< Pair > | make_second_of_pair_property_map (Pair)
| Free function to create a Second_of_pair_property_map property map.
template<int N, class Tuple >
Nth_of_tuple_property_map< N, Tuple > | make_nth_of_tuple_property_map (Tuple)
| Free function to create a Nth_of_tuple_property_map property map.
template<class T >
Pointer_property_map< T >::type | make_property_map (T *pointer)
| Starting from boost 1.55, the use of raw pointers as property maps has been deprecated.
template<class T >
Pointer_property_map< T >::type | make_property_map (std::vector< T > &v)
| equivalent to `make_property_map(&v[0])` Note that `v` must not be modified while using the property map created
template<class T >
Pointer_property_map< T >::const_type | make_property_map (const T *pointer)
| Non-mutable version.
template<class T >
Pointer_property_map< T >::const_type | make_property_map (const std::vector< T > &v)
| equivalent to `make_property_map(&v[0])` Note that `v` must not be modified while using the property map created
template<class Set >
Boolean_property_map< Set > | make_boolean_property_map (Set &set_)
| returns `Boolean_property_map<Set>(set_)`
template<class GeomObject , class Vpm >
Cartesian_converter_property_map< GeomObject, Vpm > | make_cartesian_converter_property_map (Vpm vpm)
| returns `Cartesian_converter_property_map<GeomObject, Vpm>(vpm)`
template<class Container >
Random_access_property_map< Container > | make_random_access_property_map (Container &container)
| returns `Random_access_property_map<Container>(container)`

## Function Documentation

## ◆ make_property_map()

template<class T >

Pointer_property_map< T >::type make_property_map | ( | T * | pointer | ) |
| related

Starting from boost 1.55, the use of raw pointers as property maps has been deprecated.

This function is a shortcut to the recommended replacement: `boost::make_iterator_property_map(<pointer>, boost::typed_identity_property_map<std::size_t>())` Note that the property map is a mutable `LvaluePropertyMap` with `std::size_t` as key.